
package cn.com.poc.thirdparty.resource.demand.ai.entity.text_correction;

import java.util.List;

public class Detail {

//    @JSONField(name = "begin_psent_cont_offset")
    private Long beginPsentContOffset;
    //    @JSONField(name = "begin_sentence_offset")
    private Long beginSentenceOffset;
    //    @JSONField(name = "end_psent_cont_offset")
    private Long endPsentContOffset;
    //    @JSONField(name = "end_sentence_offset")
    private Long endSentenceOffset;

    private String sentence;
    //    @JSONField(name = "sentence_fixed")
    private String sentenceFixed;
    //    @JSONField(name = "sentence_id")
    private Long sentenceId;
    //    @JSONField(name = "vec_fragment")
    private List<VecFragment> vecFragment;

    public Long getBeginPsentContOffset() {
        return beginPsentContOffset;
    }

    public void setBeginPsentContOffset(Long beginPsentContOffset) {
        this.beginPsentContOffset = beginPsentContOffset;
    }

    public Long getBeginSentenceOffset() {
        return beginSentenceOffset;
    }

    public void setBeginSentenceOffset(Long beginSentenceOffset) {
        this.beginSentenceOffset = beginSentenceOffset;
    }

    public Long getEndPsentContOffset() {
        return endPsentContOffset;
    }

    public void setEndPsentContOffset(Long endPsentContOffset) {
        this.endPsentContOffset = endPsentContOffset;
    }

    public Long getEndSentenceOffset() {
        return endSentenceOffset;
    }

    public void setEndSentenceOffset(Long endSentenceOffset) {
        this.endSentenceOffset = endSentenceOffset;
    }

    public String getSentence() {
        return sentence;
    }

    public void setSentence(String sentence) {
        this.sentence = sentence;
    }

    public String getSentenceFixed() {
        return sentenceFixed;
    }

    public void setSentenceFixed(String sentenceFixed) {
        this.sentenceFixed = sentenceFixed;
    }

    public Long getSentenceId() {
        return sentenceId;
    }

    public void setSentenceId(Long sentenceId) {
        this.sentenceId = sentenceId;
    }

    public List<VecFragment> getVecFragment() {
        return vecFragment;
    }

    public void setVecFragment(List<VecFragment> vecFragment) {
        this.vecFragment = vecFragment;
    }

}
